import request from '@/utils/request'
export function getTransferLogList(data) {
  return request({
    url: '/TransferLog/QueryPager',
    method: 'post',
    data
  })
}

export function _queryCounts(data) {
  return request({
    url: '/TransferLog/QueryCounts',
    method: 'post',
    data
  })
}
export function _updateWinitOrderAdd(data) {
  return request({
    url: '/TransferLabel/UpdateWinitOrderAdd',
    method: 'post',
    data
  })
}

export function updateTranslog(data) {
  return request({
    url: '/TransferLabel/UpdateTransferLogAddress',
    method: 'post',
    data
  })
}

export function _submitBatchRecover(data) {
  return request({
    url: '/OrderReutrn/AddReturn',
    method: 'post',
    data
  })
}

export function _submitBatchRetry(data) {
  return request({
    url: '/TransferLog/BatchRetry',
    data,
    method: 'post'
  })
}

export function retry(transferNumber) {
  if (!transferNumber) {
    alert('转单号不能为空')
    return
  }
  return request({
    url: '/TransferLog/Retry?transferNumber=' + transferNumber,
    method: 'post'
  })
}

export function _problemTransfeLog(data) {
  return request({
    url: '/TransferLabel/ProblemTransfeLog',
    data,
    method: 'post'
  })
}

export function _getTransferLogAnalysis(data) {
  return request({
    url: '/TransferLog/GetTransferLogAnalysis',
    data,
    method: 'post'
  })
}
